summaryrefslogtreecommitdiff
path: root/tests.build/cross-bootstrap-only-to-supported-archs.script
diff options
context:
space:
mode:
Diffstat (limited to 'tests.build/cross-bootstrap-only-to-supported-archs.script')
-rwxr-xr-xtests.build/cross-bootstrap-only-to-supported-archs.script25
1 files changed, 25 insertions, 0 deletions
diff --git a/tests.build/cross-bootstrap-only-to-supported-archs.script b/tests.build/cross-bootstrap-only-to-supported-archs.script
new file mode 100755
index 00000000..872acd9f
--- /dev/null
+++ b/tests.build/cross-bootstrap-only-to-supported-archs.script
@@ -0,0 +1,25 @@
+#!/bin/bash
+#
+# Copyright (C) 2013 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+# Test that "morph cross-bootstrap" works only for the architectures that
+# Morph explicitly supports.
+
+set -eu
+
+"$SRCDIR/scripts/test-morph" cross-bootstrap \
+ unknown-archicture test:morphs-repo master hello-system -v